package lodge.reservation;

import lodge.data.Address;

public interface IReservation {

    public abstract String ReservationType();
    public static Reservation copy(String type){ return null; };
    public  String getReservation_number();
    public  String getAccountNumber();
    public  Address getPhysical_address();
    public  float getPricePerNight();
    public  float calculatePrice();
    public  boolean checkValid();
}